Loading...
Searching...
No Matches
vkd3d_shader_scan_hull_shader_tessellation_info Struct Reference

A chained structure describing the tessellation information in a hull shader. More...

`#include <vkd3d_shader.h>`

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_SCAN_HULL_SHADER_TESSELLATION_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
enum vkd3d_shader_tessellator_output_primitive | output_primitive
| The tessellation output primitive.
enum vkd3d_shader_tessellator_partitioning | partitioning
| The tessellation partitioning mode.

## Detailed Description

A chained structure describing the tessellation information in a hull shader.

This structure extends vkd3d_shader_compile_info.

Since
  1.15

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h